"""This module contains the apiv2-related views of the ``document`` app"""

from rest_framework_extensions.routers import ExtendedSimpleRouter
from macrosurl import url

from . import views


router = ExtendedSimpleRouter()
router.register(
    r'documents',
    views.DocumentViewSet,
    base_name='document'
)

urlpatterns = [
    url(
        r'^documents/:document_uuid/session/:session_uuid/annotated-document/$',
        views.AnnotatedDocumentPdfDownloadView.as_view(), name='annotated-document'
    ),
] + router.urls
